fiona (1.10.1-2build3) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 14:48:19 +0000

fiona (1.10.1-2build2) plucky; urgency=medium

  * No-change rebuild for libgdal36.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 31 Dec 2024 23:49:06 +0000

fiona (1.10.1-2build1) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Nov 2024 17:55:12 +0100

fiona (1.10.1-2) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS with tzdata 2024b-3.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 10 Oct 2024 16:07:23 +0200

fiona (1.10.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 17 Sep 2024 04:58:41 +0200

fiona (1.10.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh patches.
  * Update lintian overrides.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 04 Sep 2024 06:26:40 +0200

fiona (1.10.0~rc1-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release candidate.
  * Drop python3-munch from build dependencies.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 23 Aug 2024 08:31:19 +0200

fiona (1.10~b3-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream beta release.
  * Drop test_opener_fsspec_file_fs_listdir.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 30 Jul 2024 17:35:38 +0200

fiona (1.10~b2-1~exp1) experimental; urgency=medium

  * Team upload.
    (closes: #1074959)
  * New upstream release.
  * Ignore test failures on mips64el.
  * Add patch to fix test_opener_fsspec_file_fs_listdir failure.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 11 Jul 2024 05:45:46 +0200

fiona (1.10~b1-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream beta release.
  * Update copyright file.
  * Refresh patches.
  * Add build dependencies:
    - python3-aiohttp (for tests only)
    - python3-fsspec (for tests only)
    - python3-pyparsing
    - python3-requests (for tests only)
    - python3-shapely
  * Skip test_opener_fsspec_zip_http_fs, requires network.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 17 Apr 2024 06:14:12 +0200

fiona (1.9.6-2) unstable; urgency=medium

  * Team upload.
  * Add upstream patch to fix FTBFS with GCC 14.
    (closes: #1074959)
  * Update lintian overrides.
  * Bump Standards-Version to 4.7.0, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 28 Jul 2024 19:14:33 +0200

fiona (1.9.6-1) unstable; urgency=medium

  * Team upload.

  [ Helmut Grohne ]
  * Improve cross building: Annotate test dependencies <!nocheck>.
    (Closes: #1059722)

  [ Bas Couwenberg ]
  * New upstream release.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 08 Mar 2024 05:38:34 +0100

fiona (1.9.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch to dh-sequence-*.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 12 Oct 2023 05:21:02 +0200

fiona (1.9.4-3) unstable; urgency=medium

  * Team upload.
  * Use autopkgtest-pkg-pybuild testsuite.
  * Enable Salsa CI.
  * Remove generated files in clean target.
  * Add patch to fix pytz.exceptions.UnknownTimeZoneError: 'US/Mountain'.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 22 Aug 2023 17:05:16 +0200

fiona (1.9.4-2) unstable; urgency=medium

  * Team upload.
  * Bump debhelper compat to 13.
  * Add upstream patch to not install all .py files in wheel.
    (closes: #1040361)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 05 Jul 2023 10:56:53 +0200

fiona (1.9.4-1) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 11 Jun 2023 12:37:37 +0200

fiona (1.9.4-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update copyright file.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 17 May 2023 05:18:21 +0200

fiona (1.9.3-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 11 Apr 2023 05:27:08 +0200

fiona (1.9.2-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 21 Mar 2023 05:28:33 +0100

fiona (1.9.1-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 10 Feb 2023 07:19:16 +0100

fiona (1.9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop no-distutils.patch, applied upstream.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 31 Jan 2023 09:09:48 +0100

fiona (1.9~b2-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream beta release.
  * Bump Standards-Version to 4.6.2, no changes.
  * Add patch to not use deprecated distutils module.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 22 Jan 2023 19:55:03 +0100

fiona (1.9~b1-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream beta release.
  * Add Rules-Requires-Root to control file.
  * Drop obsolete mock & six build dependencies.
  * Refresh patches.
  * Drop fiona-doc package, fails to build.
  * Copy pytest.ini to pybuild build directory.
  * Ignore additional tests that fail without network.
  * Add python3-tz to build dependencies.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 15 Dec 2022 19:20:56 +0100

fiona (1.8.22-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.6.1, no changes.
  * Update watch file to also ignore dev and alpha releases.
  * Use pybuild-plugin-pyproject instead of python3-setuptools.
  * Require at least cython3 0.29.29.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 15 Oct 2022 07:06:53 +0200

fiona (1.8.21-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.6.0, no changes.
  * Bump debhelper compat to 12, changes:
    - Drop --list-missing from dh_install
  * Update doc-base paths.
  * Update watch file to use tags instead of releases.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 07 Feb 2022 17:27:22 +0100

fiona (1.8.20-2) unstable; urgency=medium

  * Team upload.
  * Set GDAL_ENABLE_DEPRECATED_DRIVER_GTM=YES to fix test failures.
  * Skip tests/test_drvsupport.py, fails with GDAL 3.3.1.
    (closes: #992526)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 20 Aug 2021 11:08:06 +0200

fiona (1.8.20-1) unstable; urgency=medium

  * Team upload.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 15 Aug 2021 14:39:44 +0200

fiona (1.8.20-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 01 Jun 2021 05:42:39 +0200

fiona (1.8.19-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.5.1, no changes.
  * Update watch file for GitHub URL changes.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 08 Apr 2021 05:57:31 +0200

fiona (1.8.18-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump watch file version to 4.
  * Add python3-ceritifi to build dependencies.
  * Refresh patches.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 18 Nov 2020 04:24:09 +0100

fiona (1.8.17-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 10 Sep 2020 05:51:36 +0200

fiona (1.8.16-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 05 Sep 2020 06:45:00 +0200

fiona (1.8.15-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop unused lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 04 Sep 2020 06:19:41 +0200

fiona (1.8.14-3) unstable; urgency=medium

  * Team upload.
  * Also mark test_append_or_driver_error as flaky.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 01 Sep 2020 08:39:46 +0200

fiona (1.8.14-2) unstable; urgency=medium

  * Team upload.
  * Add patch to mark test_write_or_driver_error as flaky.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 01 Sep 2020 07:32:18 +0200

fiona (1.8.14-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh patches.
  * Add overrides for package-contains-documentation-outside-usr-share-doc.
  * Mark patches as Forwarded: not-needed.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 01 Sep 2020 06:08:59 +0200

fiona (1.8.13-3) unstable; urgency=medium

  * Team upload.
  * Add patch to mark test_mapinfo as flaky.
    (closes: #964461)
  * Fix manpage.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 07 Jul 2020 18:43:25 +0200

fiona (1.8.13-2) unstable; urgency=medium

  * Team upload.
  * Drop Name field from upstream metadata.
  * Bump Standards-Version to 4.5.0, no changes.
  * Update watch file to not match post releases.
  * Bump debhelper compat to 10.
  * Add upstream patch to fix FTBFS with GDAL 3.1.
    (closes: #960369)

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 15 May 2020 15:12:39 +0200

fiona (1.8.13-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 05 Dec 2019 18:08:18 +0100

fiona (1.8.12-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 05 Dec 2019 14:12:08 +0100

fiona (1.8.11-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Refresh patches.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 08 Nov 2019 06:39:34 +0100

fiona (1.8.9-2) unstable; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * Apply patch by Matthias Klose to fix FTBFS with multiple python3 versions.
    (closes: #943513)

  [ Matthias Klose ]
  * Call python{version} -m sphinx to build the documentation.
  * Build the docs in a temporary directory.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 25 Oct 2019 19:55:22 +0200

fiona (1.8.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes.
  * Drop gdal3.patch, fixed upstream.
  * Refresh patches.
  * Add patch to fix clean target.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 22 Oct 2019 06:06:34 +0200

fiona (1.8.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 27 Sep 2019 07:37:43 +0200

fiona (1.8.6-3) unstable; urgency=medium

  * Team upload.
  * Add patch to fix FTBFS with GDAL 3.
    (closes: #939872)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 11 Sep 2019 09:39:15 +0200

fiona (1.8.6-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.4.0, no changes.
  * Drop Python 2 support.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 21 Jul 2019 19:51:35 +0200

fiona (1.8.6-1) unstable; urgency=medium

  * Team upload.
  * Update dh_install override to use --list-missing.
  * Update gbp.conf to use --source-only-changes by default.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 07 Jul 2019 08:00:48 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog python3-fiona`.
